com.opensymphony.xwork2.config.entities

## Class InterceptorStackConfig

- java.lang.Object
- - com.opensymphony.xwork2.util.location.Located
  - - com.opensymphony.xwork2.config.entities.InterceptorStackConfig

- All Implemented Interfaces:
    Locatable, Serializable

      public class InterceptorStackConfig
      extends Located
      implements Serializable

  Configuration for InterceptorStack.

  In the xml configuration file this is defined as the `interceptor-stack` tag.

  Author:
    Mike, Rainer Hermanns
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InterceptorStackConfig.Builder` The builder for this object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<InterceptorMapping>` | `interceptors` A list of InterceptorMapping object
    `protected String` | `name`

    - ### Fields inherited from class com.opensymphony.xwork2.util.location.Located

      `location`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InterceptorStackConfig()` Creates an InterceptorStackConfig object.
    `protected` | `InterceptorStackConfig(InterceptorStackConfig orig)` Creates an InterceptorStackConfig object with a particular `name`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` An InterceptorStackConfig object is equals with `o` only if o is an InterceptorStackConfig object both names are equals all of their `InterceptorMapping`s are equals
    `Collection<InterceptorMapping>` | `getInterceptors()` Returns a `Collection` of InterceptorMapping objects.
    `String` | `getName()` Get the name of this interceptor stack configuration.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class com.opensymphony.xwork2.util.location.Located

      `getLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### interceptors

          protected List<InterceptorMapping> interceptors

      A list of InterceptorMapping object

    - #### name

          protected String name

  - ### Constructor Detail

    - #### InterceptorStackConfig

          protected InterceptorStackConfig()

      Creates an InterceptorStackConfig object.

    - #### InterceptorStackConfig

          protected InterceptorStackConfig(InterceptorStackConfig orig)

      Creates an InterceptorStackConfig object with a particular `name`.
      Parameters:
        `orig` - interceptor stack configuration

  - ### Method Detail

    - #### getInterceptors

          public Collection<InterceptorMapping> getInterceptors()

      Returns a `Collection` of InterceptorMapping objects.
      Returns:
        collection of interceptor mappings

    - #### getName

          public String getName()

      Get the name of this interceptor stack configuration.
      Returns:
        String

    - #### equals

          public boolean equals(Object o)

      An InterceptorStackConfig object is equals with `o` only if
      - o is an InterceptorStackConfig object
      - both names are equals
      - all of their `InterceptorMapping`s are equals
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - the given object to check
      Returns:
        true if object match the rules

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      Returns:
        generated hashcode based on `InterceptorStackConfig`'s name and its `InterceptorMapping`s.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.